/*********************************************************************

   Copyright (C) 2002 Smaller Animals Software, Inc.

   This software is provided 'as-is', without any express or implied
   warranty.  In no event will the authors be held liable for any damages
   arising from the use of this software.

   Permission is granted to anyone to use this software for any purpose,
   including commercial applications, and to alter it and redistribute it
   freely, subject to the following restrictions:

   1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.

   2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.

   3. This notice may not be removed or altered from any source distribution.

   http://www.smalleranimals.com
   smallest@smalleranimals.com

**********************************************************************/
#ifndef VAREVALFUNDEFSH
#define VAREVALFUNDEFSH

#include "SAScrEvalFunc.h"
////////////////////////////////////////////////////////////////

extern VarEvalFunc __operUpper;
extern VarEvalFunc __operLower;
extern VarEvalFunc __operImport;
extern VarEvalFunc __operConcat;
extern VarEvalFunc __operLeft;
extern VarEvalFunc __operRight;
extern VarEvalFunc __operMid;
extern VarEvalFunc __operLen;
extern VarEvalFunc __operFind;
extern VarEvalFunc __operReplace;
extern VarEvalFunc __operAdd;
extern VarEvalFunc __operSub;
extern VarEvalFunc __operMul;
extern VarEvalFunc __operDiv;
extern VarEvalFunc __operIf;
extern VarEvalFunc __operEql;
extern VarEvalFunc __operNEql;
extern VarEvalFunc __operLEql;
extern VarEvalFunc __operGEql;
extern VarEvalFunc __operGrtr;
extern VarEvalFunc __operLess;
extern VarEvalFunc __operNot;
extern VarEvalFunc __operOr;
extern VarEvalFunc __operAnd;
extern VarEvalFunc __operRand;
extern VarEvalFunc __operVarSet;
extern VarEvalFunc __operEcho;

#endif