#ifndef STANDARDINPUTCONFIG_H
#define STANDARDINPUTCONFIG_H
#include "../Tools/ButtonXP.h"
#include "../Tools/menuXP.h"
#include "../Tools/ComboBoxXP.h"

// Bote de dialogue CStandardInputConfig

class CStandardInputConfig : public CDialog {
        DECLARE_DYNAMIC(CStandardInputConfig)

    public:
        CStandardInputConfig(UINT id, CWnd *pParent = NULL);
        virtual ~CStandardInputConfig();
        CStandardInputConfig *getInstance(UINT id, CWnd *pParent = NULL);

        // Dialog Data
        enum {
            IDD = IDD_STANDARD_INPUT_CONFIG
        };

        BOOL m_forcemono;
        BOOL m_ds12;
        BOOL m_ds14;

        CButtonXP m_BtnOk;
        CButtonXP m_BtnCancel;
        CSliderCtrl m_ibuffers;
        CSliderCtrl m_buffers;
        CSliderCtrl m_priority;

        afx_msg void OnOK();

    protected:
        virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
        afx_msg BOOL OnInitDialog();
        afx_msg void OnDs12();
        afx_msg void OnDs14();
        DECLARE_MESSAGE_MAP()
        DECLARE_MENUXP()
};

#endif
